List all agents
curl --request GET \
--url https://api.pipecat.daily.co/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pipecat.daily.co/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipecat.daily.co/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pipecat.daily.co/v1/agents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"services": [
{
"id": "c359e1ea-64d6-4bcf-a7c6-28d3bd1c8909",
"name": "voice-starter",
"region": "us-west",
"desiredDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
"activeDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
"reconciledDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
"organizationId": "7c489df3-7d1d-482f-b1ed-51300f630645",
"createdAt": "2025-04-09T15:01:17.414Z",
"updatedAt": "2025-04-18T20:29:19.181Z",
"deletedAt": null
},
{
"id": "4e0d1f30-77a8-4283-a054-14a63b06720f",
"name": "voice-starter-krisp",
"region": "us-west",
"desiredDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
"activeDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
"reconciledDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
"organizationId": "7c489df3-7d1d-482f-b1ed-51300f630645",
"createdAt": "2025-04-09T15:59:50.465Z",
"updatedAt": "2025-04-11T16:54:54.246Z",
"deletedAt": null
}
]
}{
"error": "<string>",
"code": "<string>"
}List All Agents
GET /agents lists all Pipecat Cloud agents in your organization with their status and configuration.
GET
/
agents
List all agents
curl --request GET \
--url https://api.pipecat.daily.co/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pipecat.daily.co/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipecat.daily.co/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pipecat.daily.co/v1/agents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"services": [
{
"id": "c359e1ea-64d6-4bcf-a7c6-28d3bd1c8909",
"name": "voice-starter",
"region": "us-west",
"desiredDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
"activeDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
"reconciledDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
"organizationId": "7c489df3-7d1d-482f-b1ed-51300f630645",
"createdAt": "2025-04-09T15:01:17.414Z",
"updatedAt": "2025-04-18T20:29:19.181Z",
"deletedAt": null
},
{
"id": "4e0d1f30-77a8-4283-a054-14a63b06720f",
"name": "voice-starter-krisp",
"region": "us-west",
"desiredDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
"activeDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
"reconciledDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
"organizationId": "7c489df3-7d1d-482f-b1ed-51300f630645",
"createdAt": "2025-04-09T15:59:50.465Z",
"updatedAt": "2025-04-11T16:54:54.246Z",
"deletedAt": null
}
]
}{
"error": "<string>",
"code": "<string>"
}